package org.diagbot.vo.domain;

import com.alibaba.fastjson.JSONObject;
import lombok.Getter;
import lombok.Setter;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
@Getter
@Setter
public class ResponseData {
    private String participleSymptom = "";

    private List<FeatureRate> symptom = new ArrayList<>(10);
    private List<FeatureRate> vitals = new ArrayList<>(10);
    private List<FeatureRate> dis = new ArrayList<>(10);
    private List<FeatureRate> labs = new ArrayList<>(10);
    private List<FeatureRate> pacs = new ArrayList<>(10);
    private List<FeatureRate> history = new ArrayList<>(10);

    private Map<String, Filnlly> treat = new HashMap<>();
    private List<FeatureRate> graphWords = new ArrayList<>(10);
    private List<MedicalIndication> medicalIndications;//量表和指标推送
//    private Map<String,JSONObject> managementEvaluation; //管理评估
    private Map managementEvaluation;
}
